Diff podofo-0.9.6_pre20171027 with a podofo-0.9.6_p20180715

/usr/portage/app-text/podofo/podofo-0.9.6_p20180715.ebuild 2019-06-29 00:09:00.000000000 +0300
1
# Copyright 1999-2017 Gentoo Foundation
1
# Copyright 1999-2019 Gentoo Authors
2 2
# Distributed under the terms of the GNU General Public License v2
3 3

  
4 4
EAPI=6
......
9 9
SRC_URI="mirror://gentoo/${P}.tar.xz"
10 10

  
11 11
LICENSE="GPL-2 LGPL-2.1"
12
SLOT="0/${PV}"
13
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
12
SLOT="0/${PV%_*}"
13
KEYWORDS="amd64 ~arm hppa ppc ppc64 ~sparc x86"
14 14
IUSE="+boost idn libressl debug test +tools"
15 15
REQUIRED_USE="test? ( tools )"
16 16

  
......
29 29
	boost? ( dev-util/boost-build )
30 30
	test? ( dev-util/cppunit )"
31 31

  
32
PATCHES=(
33
	"${FILESDIR}/${P}-libressl-bug-635890.patch"
34
)
35

  
36 32
DOCS="AUTHORS ChangeLog TODO"
37 33

  
38 34
src_prepare() {
39 35
	cmake-utils_src_prepare
40 36
	local x sed_args
41 37

  
42
	# The 0.9.6 ABI is not necessarily stable, so make PODOFO_SOVERSION
43
	# equal to ${PV}.
44
	sed -e 's|${PODOFO_VERSION_PATCH}|\0_'${PV##*_}'|' -i CMakeLists.txt || die
38
	if use libressl; then
39
		sed -e 's:^#ifdef PODOFO_HAVE_OPENSSL_1_1$:#ifndef PODOFO_HAVE_OPENSSL_1_1:' \
40
			 -i tools/podofosign/podofosign.cpp || die #663602
41
	fi
45 42

  
46 43
	# bug 620934 - Disable linking with cppunit when possible, since it
47 44
	# triggers errors with some older compilers.
......
139 136
		)
140 137

  
141 138
	cmake-utils_src_configure
139
	mkdir -p "${S}/test/TokenizerTest/objects" || die
142 140
}
143 141

  
144 142
src_test() {
Thank you!